CVE-2019-10175

2019-06-28T20:15:00
ID CVE-2019-10175
Type cve
Reporter secalert@redhat.com
Modified 2020-10-01T16:43:00

Description

A flaw was found in the containerized-data-importer in virt-cdi-cloner, version 1.4, where the host-assisted cloning feature does not determine whether the requesting user has permission to access the Persistent Volume Claim (PVC) in the source namespace. This could allow users to clone any PVC in the cluster into their own namespace, effectively allowing access to other user's data.